@import "@/styles/variables";

.project-container {
    grid-column: 1 / -1;
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: repeat(12, 1fr);
    gap: 2rem 1rem;

    @include desktop {
        padding: 0;
        padding-bottom: 2rem;
    }

    a {
        z-index: 2;
        position: relative;
    }

    p {
        grid-column: 1 / -1;

        @include paragraph-lg;

        @include notebook {
            padding: 0;
        }
    }
}

.example-container {
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 1.5rem;
    margin-bottom: 2rem;

    .example-card {
        grid-column: 1 / -1;
        min-height: 450px;
        padding: 0;
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 225px 1fr;

        @include tablet {
            grid-column: span 6;
        }

        @include notebook {
            grid-column: span 4;
        }

        &__image-frame {
            width: 100%;
            height: 225px;
            position: relative;
            display: block;

            img {
                object-fit: cover;
                object-position: center;
            }
        }

        &__text {
            padding: 1rem;
            display: grid;
            min-height: 225px;
            height: 100%;
            grid-template-rows: auto 1fr 1rem;
            grid-template-columns: 1fr;
            gap: 1rem;
            align-self: first baseline;
            align-items: first baseline;

            @include notebook {
                padding: 2rem;
            }

            p {
                color: $secondary-color;
                line-height: 24px;
            }
        }
    }
}
